+1 vote
in Databases by (39.4k points)

I downloaded the AppImage file of the Neo4J desktop on my Ubuntu 22 machine. As suggested, I made the file executable using the following command:

chmod +x neo4j-desktop-1.5.6-x86_64.AppImage

However, when I try to run the AppImage file, it gives the following error, and the Neo4J desktop is not launched. How can I fix it?

dlopen(): error loading libfuse.so.2

AppImages require FUSE to run. 

You might still be able to extract the contents of this AppImage 

if you run it with the --appimage-extract option. 

1 Answer

+2 votes
by (66.8k points)
selected by
 
Best answer

There seems to be something wrong with the libfuse2 installation on your system. That's why it is giving error: dlopen(): error loading libfuse.so.2

Install libfuse2 by running the following command on the terminal, and it should fix the error:

sudo apt install libfuse2

 If it does not solve the problem, try to install the fuse too by running the following command on the terminal.

sudo apt install fuse

Related questions

+1 vote
1 answer
+1 vote
1 answer
asked Jul 13, 2023 in Databases by phpuser (51.8k points)

...